<?php
  ///////////////////////////////////////////////////
  // Система учёта посещаемости сайта - PowerCounter
  // 2003-2006 (C) IT-студия SoftTime (http://www.softtime.ru)
  // Поддержка: http://www.softtime.ru/forum/
  // Симдянов И.В. (simdyanov@softtime.ru)
  // Кузнецов М.В. (kuznetsov@softtime.ru)
  // Голышев С.В. (softtime@softtime.ru)
  // Левин А.В. (loki_angel@mail.ru)
  ///////////////////////////////////////////////////
  // Выставляем уровень обработки ошибок (http://www.softtime.ru/info/articlephp.php?id_article=23)
  Error_Reporting(E_ALL & ~E_NOTICE); 

  // Данные переменные определяют название страницы и подсказку.
  $title = 'Помесячный отчёт'; 
  $pageinfo = '';    
  // Заголовок страницы
  include "topcounter.php";

  // вывод данных
  $query = "SELECT UNIX_TIMESTAMP(putdate) as putdate
            FROM $tbl_arch_deep_month
            GROUP BY putdate
            ORDER BY putdate DESC";
  $arh = mysql_query($query);
  if(!$arh) exit(mysql_error());
  echo "<table class=table width=100% border=0 cellpadding=0 cellspacing=0>
          <tr class=header align=center>
            <td align=center width=".(100/12)."%>Дата</td>
            <td align=center width=".(100/12)."%>Ссылка</td>
          </tr>";
  while ($hits=mysql_fetch_array($arh))
  {
    // Формируем дату
    $date_table = date("Y.m",$hits['putdate']);
    // Меняем английские названия дней недели на русские
    echo "<tr>
            <td align=center>$date_table</td>
            <td align=center><a href=$_SERVER[PHP_SELF]?date=$hits[putdate]>смотреть</a></td>
          </tr>";
  }
  echo "</table><br><br>";

  // Если параметр $_GET['date'] не пуст, запрашиваем IP-адреса
  // за этот день
  if(!empty($_GET['date']))
  {
    if(!preg_match("|^[\d]+$|",$_GET['date'])) puterror("Недопустимый формат параметра");
    $query = "SELECT * FROM $tbl_arch_deep_month WHERE putdate = '".date("Y-m-d 23:59:59",$_GET['date'])."'";
    $ipt = mysql_query($query);
    if(!$ipt) exit(mysql_error());
    if(mysql_num_rows($ipt) > 0)
    {
      echo "<table class=table width=100% border=0 cellpadding=0 cellspacing=0>
              <tr class=header align=center>
                <td width=150>Время</td>
                <td width=150>Число обращений</td>
                <td>Гистограмма</td>
              </tr>";
      $arch_deep = mysql_fetch_array($ipt);
      {
        unset($arch_deep['id_client'], $arch_deep['putdate']);
        $total = array_sum($arch_deep);
        echo "<tr>
                <td>1 страница</td>
                <td>".$arch_deep['visit1']."</td>
                <td><img src=images/parm.gif border=0 width=".(100*$arch_deep['visit1']/$total)."% height=6></td>
              </tr>\r\n";
        echo "<tr>
                <td>2 страницы</td>
                <td>".$arch_deep['visit2']."</td>
                <td><img src=images/parm.gif border=0 width=".(100*$arch_deep['visit2']/$total)."% height=6></td>
              </tr>\r\n";
        echo "<tr>
                <td>3 страницы</td>
                <td>".$arch_deep['visit3']."</td>
                <td><img src=images/parm.gif border=0 width=".(100*$arch_deep['visit3']/$total)."% height=6></td>
              </tr>\r\n";
        echo "<tr>
                <td>4 страницы</td>
                <td>".$arch_deep['visit4']."</td>
                <td><img src=images/parm.gif border=0 width=".(100*$arch_deep['visit4']/$total)."% height=6></td>
              </tr>\r\n";
        for($i = 5; $i < 11; $i++)
        {
          echo "<tr>
                  <td>$i страниц</td>
                  <td>".$arch_deep['visit'.$i]."</td>
                  <td><img src=images/parm.gif border=0 width=".(100*$arch_deep['visit'.$i]/$total)."% height=6></td>
                </tr>\r\n";
        }
        for($i = 10; $i < 100; $i = $i + 10)
        {
          echo "<tr>
                  <td>от ".$i." до ".($i+10)." страниц</td>
                  <td>".$arch_deep['visit'.($i+10)]."</td>
                  <td><img src=images/parm.gif border=0 width=".(100*$arch_deep['visit'.($i+10)]/$total)."% height=6></td>
                </tr>\r\n";
        }
        echo "<tr>
                <td>более 100 страниц</td>
                <td>".$arch_deep['visitmore']."</td>
                <td><img src=images/parm.gif border=0 width=".(100*$arch_deep['visitmore']/$total)."% height=6></td>
              </tr>\r\n";
      }
      echo "</table>";
    }
  }

  include "bottomcounter.php";
?>
